/* format.h */
enum atom_type {AT_STRING, AT_ID, AT_COUNT, AT_SIZE};
/*
 * STRING: %(foo:a:w)
 * (U)INT: %(foo:a:w:u)
 */
struct atom {
	const char const *name;
	enum atom_type type;
};

union atom_value {
	char *string_value;
	long long unsigned num_value;
};

struct format_info; /* opaque */
int parse_format_string(char *fmt, struct atom *atoms, struct format_info **result);
char *format_items(struct format_info *info, union atom_value *values);
void free_format_info(struct format_info *info);
